using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.AppReport
{
    public interface IAppReportRepository:IRepository
    {
        Task<int> InsertAsync(Entity.AppReport appReport);

        Task<bool> UpdateAsync(Entity.AppReport appReport);

        Task<IEnumerable<Entity.AppReport>> GetAppReportListAsync();

        Task<bool> DeleteAsyncTask(int id);
        /// <summary>
        /// 根据type查询数据
        /// </summary>
        /// <param name="reportType"></param>
        /// <returns></returns>
        Task<Entity.AppReport> GetAppReport(int reportType);
    }
}
